{% extends 'admin/admin.html.twig' %}

{% block javascripts %}
    <script src="{{ asset('assets/js/template/admin/ressource/listWaitingValidation.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/CategorieRessourceModel.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/TypeRessourceModel.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/RessourceModel.js') }}"></script>
    <script src="{{ asset('assets/js/class/Pagination.js') }}"></script>
    <script src="{{ asset('assets/js/class/Table.js') }}"></script>
    {{ parent() }}
{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('assets/css/admin/validation.css') }}">
    {{ parent() }}
{% endblock %}

{% block title %}Admin : Ressource{% endblock %}

{% block content %}

    {% set idTable = "resources" %}

     {% set tableSearch %}
        <tr class="search-ligne">
            <th colspan="999" class="">
                <div class="th-search">
                    <div>
                        <label for="search-title">Titre</label>
                        <input name="search-title" id="search-title">
                    </div>
                    <div>
                        <label for="search-user">Créateur</label>
                        <input name="search-user" id="search-user">
                    </div>
                    <div>
                        <label for="select-type-ressource">Type</label>
                        <select name="select-type-ressource" id="select-type-ressource"></select>
                    </div>
                    {% if is_granted('ROLE_ADMIN') %}
                        <div>
                            <label for="select-categorie-ressource">Catégorie</label>
                            <select name="select-categorie-ressource" id="select-categorie-ressource"></select>
                        </div>
                        <div>
                            <label for="search-etat">Etat</label>
                            <select name="search-etat" id="search-etat">
                                <option value="0">Toutes</option>
                                <option value="1">Active</option>
                                <option value="2">En attente de validation</option>
                                <option value="3">Supprimée</option>
                            </select>
                        </div>
                    {% endif %}
                    <div>
                        <button type="button" id="btn-search-resource">Rechercher</button>
                    </div>
                </div>
            </th>
        </tr>
    {% endset %}


    {% set tablePagination = true %}

    {% include("/admin/tableau.html.twig") %}

{% endblock %}
	{# <form id="form-validation-ressource-part">
		<div class="page-validation-ressource-part">
			<div class="btn-validation-ressource-part">
				<button class="btn-info btn-loader" id="btn-ressources-compte">Trié</button>
				<button class="btn-info btn-loader" id="btn-favoris-compte">les validées</button>
				<button class="btn-info btn-loader" id="btn-share-compte">les refusées</button>
				<button class="btn-info btn-loader" id="btn-sideways-compte">ressource +18</button>
			</div>
		</div>
		<div class="ressource-validation-list">
			<div class="ressource-user-waiting"><p>sfsf</p></div>
			<div class="ressource-user-waiting"><p>sfsf</p></div>
			<div class="ressource-user-waiting"><p>sfsf</p></div>
			<div class="ressource-user-waiting"><p>sfsf</p></div>
			<div class="ressource-user-waiting"><p>sfsf</p></div>
			<div class="ressource-user-waiting"><p>sfsf</p></div>
		</div>
	</form> #}

